Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004482TestLinkTest Executepublic2011-05-19 10:232013-05-19 17:08
Reporterrasuka 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0004482: Incorrect filtering of tests in exec tree
DescriptionIssue 0004023 seems not fixed in 1.9.1.

It looks like paulewog's fix is only partially applied to testplan.class.php.
I still had to add "$executionPlatformString" "$tcversionPlatformString" to some lines.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0014883)
Julian (reporter)
2011-05-19 11:00

Is it really so hard to write a proper description of the problem including steps to reproduce???

No developer will act based on such informations - neither will i!
(0014884)
rasuka (reporter)
2011-05-19 15:17

Sorry, I thought 0004023 already describes the issue very well. I would have just reopened it if I had privilege. Will update the info.
(0014889)
rasuka (reporter)
2011-05-21 06:27

Say User A and User B is executing a test plan, and the test plan has a test case assigned for 2 platforms: Windows XP and Windows 7. User A is in charge of running tests on XP, User B is on 7.

After User A has completed the test case for Windows XP, User B goes to "Execute" page and filters the tree with "NOT RUN" on "ALL BUILDS" on "Windows 7" to see any tests have not been run on his platform yet.

I expect the filtered tree displaying the test case for User B, since it has not been run on "Windows 7" platform yet. But it's not. If someone executes a test for one platform, it never gets displayed for other platforms in "Execute" page.

It's essentially the same issue as 0004023, and the one discussed here:
http://www.teamst.org/forum/viewtopic.php?f=11&t=4038 [^]

In 0004023, paulewog has posted a fix and one of the dev team says it's committed for 1.9.2. But it looks like 1.9.2's lib/functions/testplan.class.php still lacks some of the fix posted by paulewog. To be precise, at line 3030, get_same_status_for_build_set() defines variables: $tcversionPlatformString and $executionPlatformString, which never used. I had to fix it manually like below:

line 3060: " LEFT OUTER JOIN {$this->tables['executions']} E ON T.tcversion_id = E.tcversion_id $executionPlatformString" .
line 3062: " WHERE T.testplan_id={$id} AND E.build_id IS NULL $tcversionPlatformString";
line 3071: " WHERE E.build_id IN ({$build_in}) $executionPlatformString" .

Hope this is just enough information for someone to act on it.

- Issue History
Date Modified Username Field Change
2011-05-19 10:23 rasuka New Issue
2011-05-19 11:00 Julian Note Added: 0014883
2011-05-19 15:17 rasuka Note Added: 0014884
2011-05-21 06:27 rasuka Note Added: 0014889
2013-05-19 17:08 fman QA Team - Task Workflow Status => READY FOR TESTING
2013-05-19 17:08 fman Status new => closed
2013-05-19 17:08 fman Assigned To => fman
2013-05-19 17:08 fman Resolution open => fixed
2013-05-19 17:08 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker